Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 379481 - <sys-apps/busybox-1.19.3-r1[nfs] fails to statically link with glibc-2.14
Summary: <sys-apps/busybox-1.19.3-r1[nfs] fails to statically link with glibc-2.14
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Embedded Gentoo Team
URL:
Whiteboard:
Keywords:
: 391817 392557 (view as bug list)
Depends on:
Blocks: glibc-rpc 391845
  Show dependency tree
 
Reported: 2011-08-16 22:58 UTC by Andriy Baranskyy
Modified: 2018-04-22 19:02 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (build.log,38.48 KB, text/plain)
2011-08-16 22:59 UTC, Andriy Baranskyy
Details
Build log for busybox-1.19.3 (build.log,419.65 KB, text/plain)
2011-11-07 18:31 UTC, Andriy Baranskyy
Details
busybox 1.19.3 build log with glibc 2.14.1 (build.log,419.60 KB, text/plain)
2011-11-08 06:18 UTC, Andriy Baranskyy
Details
build.log.xz (build.log.xz,196.09 KB, application/x-xz)
2011-11-09 17:23 UTC, SpanKY
Details
Build log with genkernel on a WiP fresh install (build_with_genkernel.log,25.32 KB, text/plain)
2012-05-08 14:57 UTC, Jérôme Nicolle
Details
Emerge_info (emerge_info.txt,6.03 KB, text/plain)
2012-05-14 04:36 UTC, Scott
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Baranskyy 2011-08-16 22:58:27 UTC
sys-apps/busybox-1.18.5 fails to compile with message

util-linux/rtcwake.c: In function ‘rtcwake_main’:
util-linux/rtcwake.c:157:2070: warning: array subscript is above array bounds
util-linux/rtcwake.c:182:2070: warning: array subscript is above array bounds
  CC      util-linux/setarch.o
  CC      util-linux/swaponoff.o
  CC      util-linux/switch_root.o
  CC      util-linux/umount.o
  AR      util-linux/lib.a
  LINK    busybox_unstripped
Trying libraries: crypt m pam pam_misc
Failed: -Wl,--start-group -lcrypt -lm -lpam -lpam_misc -Wl,--end-group
Output of:
i686-pc-linux-gnu-gcc -O2 -march=native -pipe -fno-strict-aliasing -Wall -Wshadow -Wwrite-strings -Wundef -Wstrict-prototypes -Wunused -Wunused-parameter -Wunused-function -Wunused-value -Wmissing-prototypes -Wmissing-declarations -Wdeclaration-after-statement -Wold-style-definition -fno-builtin-strlen -finline-limit=0 -ffunction-sections -fdata-sections -fno-guess-branch-probability -funsigned-char -static-libgcc -Wl,-O1 -Wl,--as-needed -o busybox_unstripped -Wl,--sort-common -Wl,--sort-section,alignment -Wl,--gc-sections -Wl,--start-group applets/built-in.o archival/lib.a archival/libarchive/lib.a console-tools/lib.a coreutils/lib.a coreutils/libcoreutils/lib.a debianutils/lib.a e2fsprogs/lib.a editors/lib.a findutils/lib.a init/lib.a libbb/lib.a libpwdgrp/lib.a loginutils/lib.a mailutils/lib.a miscutils/lib.a modutils/lib.a networking/lib.a networking/libiproute/lib.a networking/udhcp/lib.a printutils/lib.a procps/lib.a runit/lib.a selinux/lib.a shell/lib.a sysklogd/lib.a util-linux/lib.a util-linux/volume_id/lib.a archival/built-in.o archival/libarchive/built-in.o console-tools/built-in.o coreutils/built-in.o coreutils/libcoreutils/built-in.o debianutils/built-in.o e2fsprogs/built-in.o editors/built-in.o findutils/built-in.o init/built-in.o libbb/built-in.o libpwdgrp/built-in.o loginutils/built-in.o mailutils/built-in.o miscutils/built-in.o modutils/built-in.o networking/built-in.o networking/libiproute/built-in.o networking/udhcp/built-in.o printutils/built-in.o procps/built-in.o runit/built-in.o selinux/built-in.o shell/built-in.o sysklogd/built-in.o util-linux/built-in.o util-linux/volume_id/built-in.o -Wl,--end-group -Wl,--start-group -lcrypt -lm -lpam -lpam_misc -Wl,--end-group
==========
util-linux/lib.a(mount.o): In function `xdr_fhstatus':
mount.c:(.text.xdr_fhstatus+0x16): undefined reference to `xdr_u_int'
mount.c:(.text.xdr_fhstatus+0x44): undefined reference to `xdr_opaque'
util-linux/lib.a(mount.o): In function `xdr_dirpath':
mount.c:(.text.xdr_dirpath+0x1c): undefined reference to `xdr_string'
util-linux/lib.a(mount.o): In function `xdr_mountres3':
mount.c:(.text.xdr_mountres3+0x16): undefined reference to `xdr_enum'
mount.c:(.text.xdr_mountres3+0x4b): undefined reference to `xdr_bytes'
mount.c:(.text.xdr_mountres3+0x5e): undefined reference to `xdr_int'
mount.c:(.text.xdr_mountres3+0x81): undefined reference to `xdr_array'
util-linux/lib.a(mount.o): In function `nfsmount':
mount.c:(.text.nfsmount+0x92b): undefined reference to `pmap_getmaps'
mount.c:(.text.nfsmount+0xa07): undefined reference to `clnttcp_create'
mount.c:(.text.nfsmount+0xa16): undefined reference to `authunix_create_default'
mount.c:(.text.nfsmount+0xbbc): undefined reference to `pmap_getport'
mount.c:(.text.nfsmount+0xd24): undefined reference to `clntudp_create'
mount.c:(.text.nfsmount+0xd7d): undefined reference to `clnt_spcreateerror'
mount.c:(.text.nfsmount+0xf01): undefined reference to `clnt_sperror'
mount.c:(.text.nfsmount+0xf5a): undefined reference to `clnt_sperror'
collect2: ld returned 1 exit status
make: *** [busybox_unstripped] Помилка 1
emake failed


Reproducible: Always




emerge --info:

Portage 2.1.10.11 (default/linux/x86/10.0, gcc-4.5.3, glibc-2.14-r0, 3.0.1-gentoo i686)
=================================================================
System uname: Linux-3.0.1-gentoo-i686-Intel-R-_Core-TM-2_CPU_T5500_@_1.66GHz-with-gentoo-2.0.3
Timestamp of tree: Tue, 16 Aug 2011 22:00:02 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 3.1.5 [enabled]
app-shells/bash:          4.2_p10
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.2-r2, 3.1.3-r1, 3.2-r2
dev-util/ccache:          3.1.5
dev-util/cmake:           2.8.5-r2
dev-util/pkgconfig:       0.25-r2
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.8.3-r1
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.8.5-r3, 1.9.6-r2, 1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21.1
sys-devel/gcc:            4.5.3-r1
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.38 (virtual/os-headers)
sys-libs/glibc:           2.14
Repositories: gentoo local
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs ccache distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="uk_UA.UTF-8"
LC_ALL="uk_UA.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en pl uk be de en_GB"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dfx 3dnow 3dnowext 7zip X Xaw3d a52 aac aalib accessibility acl acpi adns alsa amarok amr amrnb amrr amrwb ao apng arts aspnet auto-completion autoipd automount avahi bash-completion bidi bittorrent-external bluetooth bonjour bookmarks branding bzip2 c++ cairo calendar caps cdaudio cdda cdio cdr chm cisco cli consolekit context cracklib crypt css cups curl cxx cyrillic daap dbus declarative desktopglobe detex device-mapper dga dia directfb divx djvu docbook dot dri drm dts dv dvd dvdnav dvdr dvdread dvi2tty ebook emovix enca encode exif expat expoblending extra extras fam fax fbcon ffmpeg firefox flac font-server fontconfig fortran ftp fts3 games gd gdbm geoip geolocation ggi gif glib glitz gmail gmedia gnutls google gpg2-experimental gphoto2 gpm gps graphics gsm gstreamer gtk h224 h281 h323 html htmlhandbook http humanities hyperestraier iconv icq icu ide idn imagemagick inotify ipod ipv6 ipw3945 jadetex java javascript jce jpeg jpeg2k justify kde kerberos kpathsea ladspa lame laptop lastfm latex latex3 lcms lensfun libcaca libsamplerate libwww live lm_sensors lzo mad marble matroska matrox mbrola md5sum mdnsresponder-compat mjpeg mmap mmx mmxext mng modplug modules moonlight motif mp2 mp3 mp4 mp4live mpeg mpeg2 mpi mplayer msn mtp mudflap musepack music musicbrainz mysql nas ncurses neXt net netbeans netboot network network-cron networking nfs nis nls npp nptl nptlonly nsplugin nss ntfs ntp nvidia nvram nvtv obex ogg omega openal openct openexr opengl openmp openssh openvpn oss overlays pam pch pcmcia pcre pcsc-lite pda pdf perl phonon plasma player plotutils plugins pmu png policykit pppd pstricks publishers python python3 qalculate qos qt3support qt4 quicktime radio rar raw rdesktop rdp readline redeyes reiser4 reiserfs romio rss rtc rtf samba sasl scanner science sdl semantic-desktop session sip skype slp smartcard smbclient sms sndfile snmp socks5 sourceview speech speex spell sql sqlite sqlite3 srt sse sse2 ssl ssse3 startup-notification subversion svg sysfs tcl tcpd templates tetex tex4ht tga theora threads tiff timidity tk tools truetype unicode v4l v4l2 vcd video vidix visualization vorbis wav wavpack webinterface webkit wifi win32codecs wma wmf wmp wps wxwindows x264 x86 xanim xcb xcomposite xetex xindy xine xinerama xml xorg xpm xprint xulrunner xv xvid xvmc yv12 zeroconf zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="nikon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev synaptics wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en pl uk be de en_GB" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia nv vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Andriy Baranskyy 2011-08-16 22:59:08 UTC
Created attachment 283601 [details]
Build log
Comment 2 Andriy Baranskyy 2011-10-01 23:25:48 UTC
Problem remains with busybox-1.19.2
Comment 3 SpanKY gentoo-dev 2011-10-02 19:52:50 UTC
re-emerge glibc to get back the rpc symbols
Comment 4 Andriy Baranskyy 2011-10-02 21:17:12 UTC
Done that, but unfortunately the problem remains.
Comment 5 Andriy Baranskyy 2011-10-19 23:02:07 UTC
Problem remains with 1.19.2-r1:


libbb/appletlib.c: In function ‘run_applet_and_exit’:
libbb/appletlib.c:705:2100: warning: array subscript is above array bounds
loginutils/login.c: In function ‘login_main’:
loginutils/login.c:400:8: warning: ignoring return value of ‘fchown’, declared with attribute warn_unused_result
  AR      loginutils/lib.a
  AR      libbb/lib.a
  AR      miscutils/lib.a
  LINK    busybox_unstripped
Trying libraries: crypt m
Failed: -Wl,--start-group -lcrypt -lm -Wl,--end-group
Output of:
i686-pc-linux-gnu-gcc -O2 -march=native -pipe -fno-strict-aliasing -Wall -Wshadow -Wwrite-strings -Wundef -Wstrict-prototypes -Wunused -Wunused-parameter -Wunused-function -Wunuse$
==========

networking/lib.a(nslookup.o): In function `print_host':
nslookup.c:(.text.print_host+0x42): warning: Using 'getaddrinfo' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
libbb/lib.a(inet_common.o): In function `INET_rresolve':
inet_common.c:(.text.INET_rresolve+0xe3): warning: Using 'gethostbyaddr' in statically linked applications requires at runtime the shared libraries from the glibc version used for$
util-linux/lib.a(mount.o): In function `nfsmount':
mount.c:(.text.nfsmount+0xb8): warning: Using 'gethostbyname' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
libbb/lib.a(inet_common.o): In function `INET_rresolve':
inet_common.c:(.text.INET_rresolve+0x166): warning: Using 'getnetbyaddr' in statically linked applications requires at runtime the shared libraries from the glibc version used for$
libbb/lib.a(inet_common.o): In function `INET_resolve':
inet_common.c:(.text.INET_resolve+0xe0): warning: Using 'getnetbyname' in statically linked applications requires at runtime the shared libraries from the glibc version used for l$
libbb/lib.a(xconnect.o): In function `bb_lookup_port':
xconnect.c:(.text.bb_lookup_port+0x41): warning: Using 'getservbyname' in statically linked applications requires at runtime the shared libraries from the glibc version used for l$
networking/lib.a(netstat.o): In function `ip_port_str':
netstat.c:(.text.ip_port_str+0x70): warning: Using 'getservbyport' in statically linked applications requires at runtime the shared libraries from the glibc version used for linki$
util-linux/lib.a(mount.o): In function `xdr_fhstatus':
mount.c:(.text.xdr_fhstatus+0x16): undefined reference to `xdr_u_int'
mount.c:(.text.xdr_fhstatus+0x44): undefined reference to `xdr_opaque'
util-linux/lib.a(mount.o): In function `xdr_dirpath':
mount.c:(.text.xdr_dirpath+0x1c): undefined reference to `xdr_string'
util-linux/lib.a(mount.o): In function `xdr_mountres3':
mount.c:(.text.xdr_mountres3+0x16): undefined reference to `xdr_enum'
mount.c:(.text.xdr_mountres3+0x4b): undefined reference to `xdr_bytes'
mount.c:(.text.xdr_mountres3+0x5e): undefined reference to `xdr_int'
mount.c:(.text.xdr_mountres3+0x81): undefined reference to `xdr_array'
util-linux/lib.a(mount.o): In function `nfsmount':
mount.c:(.text.nfsmount+0x93c): undefined reference to `pmap_getmaps'
mount.c:(.text.nfsmount+0xa18): undefined reference to `clnttcp_create'
mount.c:(.text.nfsmount+0xa27): undefined reference to `authunix_create_default'
mount.c:(.text.nfsmount+0xb7c): undefined reference to `bindresvport'
mount.c:(.text.nfsmount+0xbcd): undefined reference to `pmap_getport'
mount.c:(.text.nfsmount+0xd39): undefined reference to `clntudp_create'
mount.c:(.text.nfsmount+0xed3): undefined reference to `clnt_sperror'
mount.c:(.text.nfsmount+0xf2c): undefined reference to `clnt_sperror'
mount.c:(.text.nfsmount+0x107c): undefined reference to `clnt_spcreateerror'
collect2: ld returned 1 exit status
make: *** [busybox_unstripped] Помилка 1
emake failed
 * ERROR: sys-apps/busybox-1.19.2-r1 failed (compile phase):
 *   static build failed
 *
 * Call stack:
 *     ebuild.sh, line  91:  Called src_compile
 *   environment, line 2630:  Called die
 * The specific snippet of code:
 *           emake CONFIG_STATIC=y busybox || die "static build failed";
 *
 * If you need support, post the output of 'emerge --info =sys-apps/busybox-1.19.2-r1',
 * the complete build log and the output of 'emerge -pqv =sys-apps/busybox-1.19.2-r1'.
 * The complete build log is located at '/var/tmp/portage/sys-apps/busybox-1.19.2-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-apps/busybox-1.19.2-r1/temp/environment'.
 * S: '/var/tmp/portage/sys-apps/busybox-1.19.2-r1/work/busybox-1.19.2'
Comment 6 SpanKY gentoo-dev 2011-11-07 00:07:45 UTC
busybox-1.19.3 should work fine
Comment 7 Andriy Baranskyy 2011-11-07 00:10:40 UTC
Looking forward to it hitting the tree.
Comment 8 Andriy Baranskyy 2011-11-07 18:31:56 UTC
Created attachment 291919 [details]
Build log for busybox-1.19.3
Comment 9 Andriy Baranskyy 2011-11-07 18:32:35 UTC
The problem was not fixed in the update. Reopening the bug.
Comment 10 SpanKY gentoo-dev 2011-11-07 20:11:25 UTC
your glibc is out of date
Comment 11 Andriy Baranskyy 2011-11-07 22:56:45 UTC
I have glibc-2.14, which is the latest version. As you know, I cannot downgrade it back to 2.13. This bug is about busybox not working with glibc-2.14.
Comment 12 SpanKY gentoo-dev 2011-11-08 05:28:54 UTC
you most likely did not rebuild it.  install glibc-2.14.1 to be sure.
Comment 13 Andriy Baranskyy 2011-11-08 06:17:36 UTC
Hmm, I've just upgraded to glibc 2.14.1 and recompiled busybox 1.19.3. And it still fails. Build log is attached.

emerge --info:
Portage 2.1.10.32 (default/linux/x86/10.0, gcc-4.5.3, glibc-2.14.1-r0, 3.1.0-gentoo i686)
=================================================================
System uname: Linux-3.1.0-gentoo-i686-Intel-R-_Core-TM-2_CPU_T5500_@_1.66GHz-with-gentoo-2.1
Timestamp of tree: Tue, 08 Nov 2011 04:30:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 3.1.6 [enabled]
app-shells/bash:          4.2_p10
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.2-r3, 3.1.3-r1, 3.2.2
dev-util/ccache:          3.1.6
dev-util/cmake:           2.8.6-r3
dev-util/pkgconfig:       0.25-r2
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.8.5-r3, 1.9.6-r2, 1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.5.3-r1
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r4
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 2.6.38 (virtual/os-headers)
sys-libs/glibc:           2.14.1
Repositories: gentoo local
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs ccache distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="uk_UA.UTF-8"
LC_ALL="uk_UA.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en pl uk be de en_GB"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dfx 3dnow 3dnowext 7zip X Xaw3d a52 aac aalib accessibility acl acpi adns alsa amarok amr amrnb amrr amrwb ao apng arts aspnet auto-completion autoipd automount avahi bash-completion bidi bittorrent-external bluetooth bonjour bookmarks branding bzip2 c++ cairo calendar caps ccache cdaudio cdda cdio cdr chm cisco cli consolekit context cracklib crypt css cups curl cxx cyrillic daap dbus declarative desktopglobe detex device-mapper dga dia directfb divx djvu docbook dot dri drm dts dv dvd dvdnav dvdr dvdread dvi2tty ebook emovix enca encode exif expat expoblending extra extras fam fax fbcon ffmpeg firefox flac font-server fontconfig fortran ftp fts3 games gcj gd gdbm geoip geolocation ggi gif glib glitz gmail gmedia gnutls google gpg2-experimental gphoto2 gpm gps graphics gsm gstreamer gtk h224 h281 h323 html htmlhandbook http humanities hyperestraier iconv icq icu ide idn imagemagick inotify ipod ipv6 ipw3945 jadetex java javascript jce jpeg jpeg2k justify kde kerberos kpathsea ladspa lame laptop lastfm latex latex3 lcms lensfun libcaca libsamplerate libssh2 libwww live lm_sensors lzo mad marble matroska matrox mbrola md5sum mdnsresponder-compat minizip mjpeg mmap mmx mmxext mng modplug modules moonlight motif mp2 mp3 mp4 mp4live mpeg mpeg2 mpi mplayer msn mtp mudflap musepack music musicbrainz mysql nas ncurses neXt net netbeans netboot network network-cron networking nfs nls npp nptl nptlonly nsplugin ntfs ntp nvidia nvram nvtv obex ogg omega openal openct openexr opengl openmp openssh openvpn oss overlays pam pch pcmcia pcre pcsc-lite pda pdf phonon plasma player plotutils plugins pmu png policykit pppd pstricks publishers python python3 qalculate qos qt3support qt4 quicktime radio rar raw rdesktop rdp readline redeyes reiser4 reiserfs romio rss rtc rtf samba sasl scanner science sdl semantic-desktop session sip skype slp smartcard smbclient sms sndfile snmp socks5 sourceview speech speex spell sql sqlite sqlite3 srt sse sse2 ssl ssse3 startup-notification subversion svg sysfs tcl tcpd templates tetex tex4ht tga themedesigner theora threads tiff timidity tk tools truetype unicode usb v4l v4l2 vcd video vidix visualization vorbis wav wavpack webinterface webkit wifi win32codecs wma wmf wmp wps wxwindows x264 x86 xanim xcb xcomposite xetex xindy xine xinerama xml xorg xpm xprint xulrunner xv xvid xvmc yv12 zeroconf zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="nikon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev synaptics wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en pl uk be de en_GB" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia nv vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 14 Andriy Baranskyy 2011-11-08 06:18:45 UTC
Created attachment 291931 [details]
busybox 1.19.3 build log with glibc 2.14.1
Comment 15 SpanKY gentoo-dev 2011-11-08 12:54:14 UTC
that makes no sense.  glibc-2.14.1 provides the symbols your build is complaining about in libc.so.  post the full build log of your glibc-2.14.1 as an attachment.
Comment 16 Andriy Baranskyy 2011-11-08 23:15:59 UTC
Thank you for helping me with this! I agree, this is strange. build log of glibc is attached.
Comment 17 Andriy Baranskyy 2011-11-08 23:20:33 UTC
Thank you for helping me with this! I agree, this is strange. build log of glibc has been posted here: http://www.sfu.ca/~abaransk/build.log (it is too large to be attached here).
Comment 18 SpanKY gentoo-dev 2011-11-09 17:23:32 UTC
Created attachment 292031 [details]
build.log.xz

you can post compressed files.  URLs to external logs are generally a bad idea as it makes reading history painful.
Comment 19 Andriy Baranskyy 2011-11-09 17:46:35 UTC
OK, thanks!
Comment 20 SpanKY gentoo-dev 2011-11-09 18:44:48 UTC
you've got 0070_all_glibc-2.14-rpc-export.patch there, so your C library should have all the rpc symbols

post the output of:
  readelf -s /lib/libc.so.6 | grep pmap

try this simple test:
  echo 'main(){return pmap_getport();}' | gcc -x c - -o /dev/null
Comment 21 Andriy Baranskyy 2011-11-09 18:48:52 UTC
Thanks for looking through the log!
Perhaps I ahve some environmental variable set up incorrectly.

Here is what you asked for:


readelf -s /lib/libc.so.6 | grep pmap
    50: 000f9310   205 FUNC    GLOBAL DEFAULT   12 xdr_pmaplist@@GLIBC_2.0
   382: 000f9590   240 FUNC    GLOBAL DEFAULT   12 pmap_rmtcall@@GLIBC_2.0
   437: 000f9070   258 FUNC    GLOBAL DEFAULT   12 pmap_unset@@GLIBC_2.0
   775: 001030c0    47 FUNC    GLOBAL DEFAULT   12 pmap_getport@@GLIBC_2.0
  1082: 000f8f20   333 FUNC    GLOBAL DEFAULT   12 pmap_set@@GLIBC_2.0
  1287: 000f9180   278 FUNC    GLOBAL DEFAULT   12 pmap_getmaps@@GLIBC_2.0
  1498: 000f92a0   107 FUNC    GLOBAL DEFAULT   12 xdr_pmap@@GLIBC_2.0

 echo 'main(){return pmap_getport();}' | gcc -x c - -o /dev/null
This does not return anything.
Comment 22 Emil Medve 2011-11-09 21:37:11 UTC
busybox seems to be linked statically and my /usr/lib64/libc.a doesn't seem to have any of the XDR symbols
Comment 23 SpanKY gentoo-dev 2011-11-29 20:17:26 UTC
*** Bug 391817 has been marked as a duplicate of this bug. ***
Comment 24 Bart Kus 2011-12-01 07:04:18 UTC
WORKAROUND: set the busybox package to not USE nfs:

echo "sys-apps/busybox -nfs" >> /etc/portage/package.use

Proper fix seems to be like:

1) busybox links with -lpthread -ltirpc instead of glibc for RPC functions
2) libtirpc is ported to use libopenssl (or some other good/common crypto lib) for crypto functions instead of glibc

glibc has removed crypto from the static version of its library
Comment 25 Andriy Baranskyy 2011-12-01 07:18:30 UTC
The workaround works for me. Is there any way to install the dynamic version of the library?
Comment 26 Jeroen Roovers gentoo-dev 2011-12-04 03:39:13 UTC
*** Bug 392557 has been marked as a duplicate of this bug. ***
Comment 27 SpanKY gentoo-dev 2011-12-06 23:30:18 UTC
i've grabbed a patch from upstream busybox which allows nfs mounting with linux-2.6.23+ and doesn't need the rpc symbols from glibc/libtirpc.  this means that nfs mounting no longer works on <linux-2.6.23 kernels, but i don't care :P.

busybox-1.19.3-r1 now in the tree without USE=nfs and building statically with newer glibc-2.14+.
Comment 28 Jeroen Roovers gentoo-dev 2012-01-04 15:48:26 UTC
*** Bug 397627 has been marked as a duplicate of this bug. ***
Comment 29 tman 2012-01-24 11:01:15 UTC
where its fixed?

USE="-nfs" emerge -uDNav busybox


Output of:
x86_64-pc-linux-gnu-gcc -march=core2 -O2 -pipe -fno-strict-aliasing -Wall -Wshadow -Wwrite-strings -Wundef -Wstrict-prototypes -Wunused -Wunused-parameter -Wunused-function -Wunused-value -Wmissing-prototypes -Wmissing-declarations -Wdeclaration-after-statement -Wold-style-definition -fno-builtin-strlen -finline-limit=0 -ffunction-sections -fdata-sections -fno-guess-branch-probability -funsigned-char -static -Wl,-O1 -Wl,--as-needed -o busybox_unstripped -Wl,--sort-common -Wl,--sort-section,alignment -Wl,--start-group applets/built-in.o archival/lib.a archival/libarchive/lib.a console-tools/lib.a coreutils/lib.a coreutils/libcoreutils/lib.a debianutils/lib.a e2fsprogs/lib.a editors/lib.a findutils/lib.a init/lib.a libbb/lib.a libpwdgrp/lib.a loginutils/lib.a mailutils/lib.a miscutils/lib.a modutils/lib.a networking/lib.a networking/libiproute/lib.a networking/udhcp/lib.a printutils/lib.a procps/lib.a runit/lib.a selinux/lib.a shell/lib.a sysklogd/lib.a util-linux/lib.a util-linux/volume_id/lib.a archival/built-in.o archival/libarchive/built-in.o console-tools/built-in.o coreutils/built-in.o coreutils/libcoreutils/built-in.o debianutils/built-in.o e2fsprogs/built-in.o editors/built-in.o findutils/built-in.o init/built-in.o libbb/built-in.o libpwdgrp/built-in.o loginutils/built-in.o mailutils/built-in.o miscutils/built-in.o modutils/built-in.o networking/built-in.o networking/libiproute/built-in.o networking/udhcp/built-in.o printutils/built-in.o procps/built-in.o runit/built-in.o selinux/built-in.o shell/built-in.o sysklogd/built-in.o util-linux/built-in.o util-linux/volume_id/built-in.o -Wl,--end-group -Wl,--start-group -lcrypt -lm -Wl,--end-group
==========
networking/lib.a(nslookup.o): In function `print_host':
nslookup.c:(.text.print_host+0x3e): warning: Using 'getaddrinfo' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
libbb/lib.a(inet_common.o): In function `INET_rresolve':
inet_common.c:(.text.INET_rresolve+0xec): warning: Using 'gethostbyaddr' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
util-linux/lib.a(mount.o): In function `nfsmount':
mount.c:(.text.nfsmount+0xba): warning: Using 'gethostbyname' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
libbb/lib.a(inet_common.o): In function `INET_rresolve':
inet_common.c:(.text.INET_rresolve+0x168): warning: Using 'getnetbyaddr' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
libbb/lib.a(inet_common.o): In function `INET_resolve':
inet_common.c:(.text.INET_resolve+0xdd): warning: Using 'getnetbyname' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
libbb/lib.a(xconnect.o): In function `bb_lookup_port':
xconnect.c:(.text.bb_lookup_port+0x3c): warning: Using 'getservbyname' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
networking/lib.a(netstat.o): In function `ip_port_str':
netstat.c:(.text.ip_port_str+0x6c): warning: Using 'getservbyport' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
util-linux/lib.a(mount.o): In function `xdr_fhstatus':
mount.c:(.text.xdr_fhstatus+0xd): undefined reference to `xdr_u_int'
mount.c:(.text.xdr_fhstatus+0x38): undefined reference to `xdr_opaque'
util-linux/lib.a(mount.o): In function `xdr_dirpath':
mount.c:(.text.xdr_dirpath+0x6): undefined reference to `xdr_string'
util-linux/lib.a(mount.o): In function `xdr_mountres3':
mount.c:(.text.xdr_mountres3+0xd): undefined reference to `xdr_enum'
mount.c:(.text.xdr_mountres3+0x36): undefined reference to `xdr_bytes'
mount.c:(.text.xdr_mountres3+0x4f): undefined reference to `xdr_int'
mount.c:(.text.xdr_mountres3+0x61): undefined reference to `xdr_array'
util-linux/lib.a(mount.o): In function `nfsmount':
mount.c:(.text.nfsmount+0x970): undefined reference to `pmap_getmaps'
mount.c:(.text.nfsmount+0xa39): undefined reference to `clnttcp_create'
mount.c:(.text.nfsmount+0xae1): undefined reference to `clntudp_create'
mount.c:(.text.nfsmount+0xaf2): undefined reference to `authunix_create_default'
mount.c:(.text.nfsmount+0xd91): undefined reference to `clnt_sperror'
mount.c:(.text.nfsmount+0xde8): undefined reference to `clnt_sperror'
mount.c:(.text.nfsmount+0xfaf): undefined reference to `clnt_spcreateerror'
mount.c:(.text.nfsmount+0x106f): undefined reference to `bindresvport'
mount.c:(.text.nfsmount+0x10c8): undefined reference to `pmap_getport'
collect2: ld returned 1 exit status
make: *** [busybox_unstripped] Error 1
emake failed
 * ERROR: sys-apps/busybox-1.19.3-r1 failed (compile phase):
 *   (no error message)
 * 
 * Call stack:
 *     ebuild.sh, line  85:  Called src_compile
 *   environment, line 2547:  Called die
 * The specific snippet of code:
 *           emake CONFIG_STATIC=y busybox || die;
 * 
 * If you need support, post the output of 'emerge --info =sys-apps/busybox-1.19.3-r1',
 * the complete build log and the output of 'emerge -pqv =sys-apps/busybox-1.19.3-r1'.
 * The complete build log is located at '/var/log/portage/sys-apps:busybox-1.19.3-r1:20120124-105459.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-apps/busybox-1.19.3-r1/temp/environment'.
 * S: '/var/tmp/portage/sys-apps/busybox-1.19.3-r1/work/busybox-1.19.3'

>>> Failed to emerge sys-apps/busybox-1.19.3-r1, Log file:
Comment 30 Andreas Schäfer 2012-02-06 19:06:57 UTC
I'm seeing the same error. Also, the new Busybox has no NFS useflag to disable, so I don't see any workaround to use. Please reopen this bug.
Comment 31 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2012-04-16 19:59:11 UTC
vapier:
This problem still occurs if users have an older savedconfig with CONFIG_FEATURE_MOUNT_NFS=y

Please add something to override that to =n ?
Comment 32 SpanKY gentoo-dev 2012-04-17 22:57:02 UTC
honestly, i'm not interested in doing that.  the point of savedconfig is that we use the config the user specified no matter how crazy it might be.  there are a lot of settings in there that can cause build failures or do unnatural things.
Comment 33 Jérôme Nicolle 2012-05-08 14:40:29 UTC
Currently doing a fresh install with a 20120503 stage3 and a synced portage tree, booted from a 2012.1 liveDVD. No manual unmasking, fancy USE or any tweaks, it's a "by the book" setup, amd64/desktop/gnome profile. The genkernel build fails in similar conditions.

Maybe it's wrong to overide a savedconfig but the current documented installation process doesn't work because of this bug.

As a **BLOCKER** for a fresh install, this bug must not be closed.
Comment 34 Jérôme Nicolle 2012-05-08 14:57:55 UTC
Created attachment 311185 [details]
Build log with genkernel on a WiP fresh install
Comment 35 Jérôme Nicolle 2012-05-08 14:59:25 UTC
Added the build log from genkernel. Attempted to rebuild busybox with the mini-howto described in the ebuild, nfs support for linux<2.6.23 was already disabled.


emerge --info result :

Portage 2.1.10.49 (default/linux/amd64/10.0/desktop/gnome, gcc-4.5.3, glibc-2.14.1-r3, 3.3.0-gentoo-r1 x86_64)
=================================================================
System uname: Linux-3.3.0-gentoo-r1-x86_64-Intel-R-_Core-TM-_i5-2500K_CPU_@_3.30GHz-with-gentoo-2.0.3
Timestamp of tree: Tue, 08 May 2012 13:45:01 +0000
app-shells/bash:          4.2_p20
dev-lang/python:          3.2.2
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.5-r2
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -mtune=generic -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -mtune=generic -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://gentoo.mneisen.org/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="fr en"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.fr.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli colord consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam firefox flac fortran gdbm gdu gif gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk iconv ipv6 jpeg lcms ldap libnotify mad mmx mng modules mp3 mp4 mpeg mudflap multilib nautilus ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pppd pulseaudio qt3support qt4 readline sdl session socialweb spell sse sse2 ssl startup-notification svg tcpd tiff truetype udev unicode usb vorbis wxwidgets x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="fr en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 36 Scott 2012-05-14 04:36:13 UTC
Created attachment 311709 [details]
Emerge_info
Comment 37 Scott 2012-05-14 04:48:06 UTC
I'm having the same problem with busybox-1.19.3-r1, glibc-2.14.1-r3, and genkernel-3.4.20.

I've copied the relevant sections from the genkernel build log.  I'll follow-up with emerge --info in a separate comment.

Any ideas would be appreciated - I've already tried the NFS fix via the savedconfig option w/o success.

* Gentoo Linux Genkernel; Version 3.4.20
* Running with options: --color --menuconfig --clean --mrproper --splash=livecd-2007.0 --save-config all

* Linux Kernel 2.6.36-gentoo-r8 for x86_64...
* kernel: Using config from /etc/kernels/kernel-config-x86_64-2.6.36-gentoo-r8
*         Previous config backed up to .config--2012-05-13--20-46-05.bak
* kernel: >> Running mrproper...
*         >> Running oldconfig...
* kernel: >> Cleaning...
* kernel: >> Invoking menuconfig...
scripts/basic/docproc.c: In function ‘docsect’:
scripts/basic/docproc.c:336:10: warning: ignoring return value of ‘asprintf’, declared with attribute warn_unused_result


*** End of Linux kernel configuration.
*** Execute 'make' to build the kernel or try 'make help'.

*         >> Compiling 2.6.36-gentoo-r8 bzImage...
*         >> Not installing firmware as it's included in the kernel already (CONFIG_FIRMWARE_IN_KERNEL=y)...
*         >> Compiling 2.6.36-gentoo-r8 modules...
* Copying config for successful build to /etc/kernels/kernel-config-x86_64-2.6.36-gentoo-r8
* blkid: >> Using cache
* busybox: >> Applying patches...
*           - 1.18.1-mdstart.diff
*           - 1.18.1-openvt.diff
*           - busybox-1.7.4-signal-hack.patch
* busybox: >> Configuring...
* busybox: >> Compiling...
* ERROR: Failed to compile the "all" target...

* -- Grepping log... --

==============================================
SNIP!  - Jumping to busybox section - Scott
==============================================

--
  CC      util-linux/lspci.o
  CC      util-linux/lsusb.o
  LD      util-linux/volume_id/built-in.o
  CC      util-linux/volume_id/btrfs.o
  CC      util-linux/mdStart.o
util-linux/mdStart.c:30:1: warning: no previous prototype for ‘mdstart_main’
util-linux/mdStart.c: In function ‘mdstart_main’:
util-linux/mdStart.c:36:3: warning: implicit declaration of function ‘bb_show_usage’
util-linux/mdStart.c:41:3: warning: implicit declaration of function ‘sscanf’
util-linux/mdStart.c:41:6: warning: incompatible implicit declaration of built-in function ‘sscanf’
util-linux/mdStart.c:48:4: warning: implicit declaration of function ‘close’
util-linux/mdStart.c:51:4: warning: implicit declaration of function ‘printf’
util-linux/mdStart.c:51:4: warning: incompatible implicit declaration of built-in function ‘printf’
  CC      util-linux/mdev.o
  CC      util-linux/volume_id/cramfs.o
util-linux/mdev.c: In function ‘make_device’:
util-linux/mdev.c:359:13: warning: ignoring return value of ‘symlink’, declared with attribute warn_unused_result
util-linux/mdev.c:362:11: warning: ignoring return value of ‘chown’, declared with attribute warn_unused_result
util-linux/mdev.c:366:14: warning: ignoring return value of ‘symlink’, declared with attribute warn_unused_result
--
  CC      util-linux/more.o
  CC      util-linux/volume_id/hfs.o
  CC      util-linux/mount.o
  CC      util-linux/volume_id/iso9660.o
util-linux/mount.c: In function ‘mount_it_now’:
util-linux/mount.c:487:3: warning: format not a string literal and no format arguments
util-linux/mount.c: In function ‘singlemount’:
util-linux/mount.c:1692:6: warning: format not a string literal and no format arguments
util-linux/mount.c: In function ‘mount_main’:
util-linux/mount.c:1876:5: warning: format not a string literal and no format arguments
util-linux/mount.c:1893:3: warning: format not a string literal and no format arguments
util-linux/mount.c:1956:5: warning: format not a string literal and no format arguments
util-linux/mount.c:2036:5: warning: format not a string literal and no format arguments
--
  CC      util-linux/switch_root.o
  CC      util-linux/umount.o
  AR      util-linux/lib.a
  LINK    busybox_unstripped
Trying libraries: crypt m
Failed: -Wl,--start-group -lcrypt -lm -Wl,--end-group
Output of:
gcc -Wall -Wshadow -Wwrite-strings -Wundef -Wstrict-prototypes -Wunused -Wunused-parameter -Wunused-function -Wunused-value -Wmissing-prototypes -Wmissing-declarations -Wdeclaration-after-statement -Wold-style-definition -fno-builtin-strlen -finline-limit=0 -fomit-frame-pointer -ffunction-sections -fdata-sections -fno-guess-branch-probability -funsigned-char -static-libgcc -falign-functions=1 -falign-jumps=1 -falign-labels=1 -falign-loops=1 -Os -static -o busybox_unstripped -Wl,--sort-common -Wl,--sort-section,alignment -Wl,--start-group applets/built-in.o archival/lib.a archival/libarchive/lib.a console-tools/lib.a coreutils/lib.a coreutils/libcoreutils/lib.a debianutils/lib.a e2fsprogs/lib.a editors/lib.a findutils/lib.a init/lib.a libbb/lib.a libpwdgrp/lib.a loginutils/lib.a mailutils/lib.a miscutils/lib.a modutils/lib.a networking/lib.a networking/libiproute/lib.a networking/udhcp/lib.a printutils/lib.a procps/lib.a runit/lib.a selinux/lib.a shell/lib.a sysklogd/lib.a util-linux/lib.a util-linux/volume_id/lib.a archival/built-in.o archival/libarchive/built-in.o console-tools/built-in.o coreutils/built-in.o coreutils/libcoreutils/built-in.o debianutils/built-in.o e2fsprogs/built-in.o editors/built-in.o findutils/built-in.o init/built-in.o libbb/built-in.o libpwdgrp/built-in.o loginutils/built-in.o mailutils/built-in.o miscutils/built-in.o modutils/built-in.o networking/built-in.o networking/libiproute/built-in.o networking/udhcp/built-in.o printutils/built-in.o procps/built-in.o runit/built-in.o selinux/built-in.o shell/built-in.o sysklogd/built-in.o util-linux/built-in.o util-linux/volume_id/built-in.o -Wl,--end-group -Wl,--start-group -lcrypt -lm -Wl,--end-group
==========
coreutils/lib.a(id.o): In function `get_groups':
id.c:(.text.get_groups+0xa): warning: Using 'getgrouplist' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
libbb/lib.a(bb_pwd.o): In function `xgetgrgid':
bb_pwd.c:(.text.xgetgrgid+0x4): warning: Using 'getgrgid' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
archival/libarchive/lib.a(data_extract_all.o): In function `data_extract_all':
data_extract_all.c:(.text.data_extract_all+0x307): warning: Using 'getgrnam' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
shell/lib.a(ash.o): In function `argstr':
ash.c:(.text.argstr+0xf0): warning: Using 'getpwnam' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
libbb/lib.a(bb_pwd.o): In function `xgetpwuid':
bb_pwd.c:(.text.xgetpwuid+0x4): warning: Using 'getpwuid' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
libbb/lib.a(xconnect.o): In function `str2sockaddr':
xconnect.c:(.text.str2sockaddr+0x100): warning: Using 'getaddrinfo' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
libbb/lib.a(inet_common.o): In function `INET_rresolve':
inet_common.c:(.text.INET_rresolve+0xbd): warning: Using 'gethostbyaddr' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
util-linux/lib.a(mount.o): In function `nfsmount':
mount.c:(.text.nfsmount+0xd8): warning: Using 'gethostbyname' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
libbb/lib.a(xconnect.o): In function `bb_lookup_port':
xconnect.c:(.text.bb_lookup_port+0x41): warning: Using 'getservbyname' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
--
mount.c:(.text.nfsmount+0xa9a): undefined reference to `clnt_sperror'
mount.c:(.text.nfsmount+0xac1): undefined reference to `clnt_sperror'
mount.c:(.text.nfsmount+0xc79): undefined reference to `bindresvport'
mount.c:(.text.nfsmount+0xcc5): undefined reference to `pmap_getport'
collect2: ld returned 1 exit status
make: *** [busybox_unstripped] Error 1
* Gentoo Linux Genkernel; Version 3.4.20
* Running with options: --color --menuconfig --clean --mrproper --splash=livecd-2007.0 --save-config all

* ERROR: Failed to compile the "all" target...

* -- End log... --
Comment 38 Scott 2012-05-14 04:49:44 UTC
Here's my emerge --info for comment #37...


swdrumm@jupiter ~ $ emerge --info
Portage 2.1.10.49 (default/linux/amd64/10.0, gcc-4.5.3, glibc-2.14.1-r3, 2.6.36-gentoo-r8 x86_64)
=================================================================
System uname: Linux-2.6.36-gentoo-r8-x86_64-Intel-R-_Core-TM-2_Duo_CPU_P8600_@_2.40GHz-with-gentoo-2.0.3
Timestamp of tree: Sun, 13 May 2012 17:05:01 +0000
app-shells/bash:          4.2_p20
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.2-r3, 3.2.2
dev-util/cmake:           2.8.6-r4
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.5-r2
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo spring
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -msse4.1 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS=""
GENTOO_MIRRORS="http://gentoo.osuosl.org/ http://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://www.gtlib.gatech.edu/pub/gentoo ftp://mirror.iawnet.sandia.gov/pub/gentoo/ ftp://ftp.ussg.iu.edu/pub/linux/gentoo http://gentoo.mirrors.pair.com/ http://open-systems.ufl.edu/mirrors/gentoo http://mirror.mcs.anl.gov/pub/gentoo/ http://gentoo.cites.uiuc.edu/pub/gentoo/ http://mirror.its.uidaho.edu/pub/gentoo/ "
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/Spring"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac aalib acl acpi aim alsa amd64 apache2 avahi bash-completion berkdb bluetooth bzip2 cairo calendar cdda cddb cdparanoia cdr clamav cli consolekit cracklib crypt css ctype cups curl curlwrappers cxx dbus dga directfb dri dts dv dvb dvd dvdr encode evo exif expat fam fbcon ffmpeg fftw firefox flac fontconfig foomaticdb fortran ftp gcj gd gdbm geoip gif gimp gnome gnome-keyring gnuplot gnutls gphoto2 gpm gps gsl gstreamer gtk gtkhtml guile gzip hddtemp iconv idn ieee1394 imagemagick imap imlib innob ipod ipv6 jabber java javascript jingle jpeg jpeg2k lame latex lcms ldap libcaca libgda libnotify libsamplerate libwww lirc lm_sensors lzo maildir matroska memlimit mikmod mime mmx mng modplug modules mono mp3 mp4 mpeg mpi mplayer msn mssql mudflap multilib musepack musicbrainz mysql mysqli nas ncurses nis nls nntp nocd nptl nsplugin odbc offensive ofx ogg ogm openal openexr opengl openmp oracle osc oss pam pcmcia pcre pdf perl php plasma plotutils png policykit postgres ppds pppd prelude pulseaudio python qt3support qt4 readline rss ruby samba sasl scanner sdl session sharedext simplexml slang slp smartcard smp sndfile soap sockets socks5 sox speex spell spl sqlite sqlite3 sse sse2 ssl svg syslog taglib tcl tcpd theora threads tiff tk truetype udev unicode usb v4l v4l2 vcd videos vim-syntax vnc vorbis wavpack wifi wmf wxwidgets x264 xattr xcomposite xft xine xinerama xinetd xml xmlrpc xorg xosd xpm xprint xscreensaver xulrunner xv xvid yahoo zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev wacom mouse keyboard joystick synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_US" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia vesa vga" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 39 SpanKY gentoo-dev 2012-05-14 16:15:17 UTC
this bug has nothing to do with genkernel
Comment 40 Scott 2012-05-14 16:21:51 UTC
SpanKY - Then I'm confused.  I can build busybox w/o any problems on my system.  But when I try to build a new kernel using genkernel (for initramfs), the build fails with the error msgs above.

Suggestions?
Comment 41 SpanKY gentoo-dev 2012-05-14 17:05:49 UTC
you're seeing a bug in genkernel (for which there is already an open bug), not a bug in the busybox ebuild
Comment 42 Scott 2012-05-15 03:33:34 UTC
Got it...Looks like bug #413247 is the one I should be following.  Thanks.